Fedora Users Forum

Fedoraユーザのためのサポートフォーラム
現在時刻 - 2018年8月14日(火) 15:30

All times are UTC + 9 hours





新しいトピックを投稿する トピックへ返信する  [ 19 件の記事 ]  ページ移動 1つ前へ  1, 2
作成者 メッセージ
 記事の件名: Re: アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月08日(水) 20:46 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2008年11月03日(月) 21:48
記事: 271
こんばんわ、昨日、

yum update gtkmozembedmm を行って見ましたが、問題解決はできませんでした
引用:
[root@localhost snow]# yum update gtkmozembedmm
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.cuhk.edu.hk
* kde-testing: ftp.heanet.ie
* livna: rpm.livna.org
* rpmfusion-free: mirror.web-ster.com
* rpmfusion-free-updates: mirror.web-ster.com
* rpmfusion-nonfree: mirror.web-ster.com
* rpmfusion-nonfree-updates: mirror.web-ster.com
* updates: ftp.cuhk.edu.hk
Setting up Update Process
Error: No Package Matching gtkmozembedmm
[root@localhost snow]#


そのため、 gtkmozembedmm を削除してみるとことしました
仮に、このパッケージを yum で削除しても、これが原因でないのならば、あとで再度インストールすればなんとかなるかな?
と思い、削除してみました
引用:
[root@localhost snow]# yum remove gtkmozembedmm
Loaded plugins: fastestmirror, refresh-packagekit
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package gtkmozembedmm.i386 0:1.4.2.cvs20060817-29.fc9 set to be erased
--> Processing Dependency: libgtkmozembedmm-1.4.so.0 for package: gtkmozembedmm-devel-1.4.2.cvs20060817-29.fc9.i386
--> Processing Dependency: gtkmozembedmm = 1.4.2.cvs20060817-29.fc9 for package: gtkmozembedmm-devel-1.4.2.cvs20060817-29.fc9.i386
--> Running transaction check
---> Package gtkmozembedmm-devel.i386 0:1.4.2.cvs20060817-29.fc9 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Removing:
gtkmozembedmm i386 1.4.2.cvs20060817-29.fc9 installed 108 k
Removing for dependencies:
gtkmozembedmm-devel i386 1.4.2.cvs20060817-29.fc9 installed 35 k

Transaction Summary
================================================================================
Install 0 Package(s)
Update 0 Package(s)
Remove 2 Package(s)

Is this ok [y/N]:


この2つのパッケージをyum で削除し、yum update を実行して見たところ、インストールの y/n を聞かれるところまでいくことができました

しかし、必要とするアップデートが1.1GBもあり、イー・モバイルのダウンロード速度ではとても起きていることができないので
そのまま寝ました

朝、起きてみると、なぜか、イー・モバイルの通信が切れていて、再度ネットワーク接続したのですが
さすがに、そこからパソコンをつけっぱなしというわけにはいかず
Ctrl + C で中断しました

ダウンロードする量が多いため、この続きは金曜日、もしくは土曜日に行おうと思います
とりあえず、yum update ができるようになったので、すこしは希望が見えてきました :)


トップへ
 
 記事の件名: Re: アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月09日(木) 00:09 
オフライン
アバター
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年3月20日(金) 22:04
記事: 239
りなっくす初心者 さんが書きました:
================================================================================
Package Arch Version Repository Size
================================================================================
Removing:
gtkmozembedmm i386 1.4.2.cvs20060817-29.fc9 installed 108 k
Removing for dependencies:
gtkmozembedmm-devel i386 1.4.2.cvs20060817-29.fc9 installed 35 k

Transaction Summary
================================================================================
Install 0 Package(s)
Update 0 Package(s)
Remove 2 Package(s)

Is this ok [y/N]:


この2つのパッケージをyum で削除し、yum update を実行して見たところ、インストールの y/n を聞かれるところまでいくことができました

ダウンロードする量が多いため、この続きは金曜日、もしくは土曜日に行おうと思います
とりあえず、yum update ができるようになったので、すこしは希望が見えてきました :)


こんばんわ!  :D

やりましたね! 上のログを見る限り、意外といっては失礼なのですが、依存がひとつですね(頭か)。
これは週末、楽しみです。もしかすると

# yum update yum
# yum clean all

# yum update

がよいカモです。 yum updateが可能であれば、色々な意味で薔薇色な展開が予想されます (違ったら付き合います :o
アップグレード トピックも 11までありますから、気長に行きましょう!


トップへ
 
 記事の件名: Re: アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月09日(木) 20:03 
オフライン
プライベートメッセージ送信  WWW  プロフィール

登録日時: 2008年9月13日(土) 12:37
記事: 250
所在地: 兵庫県
解決しそうで何よりです。

ところで、このPCはFedora11へアップグレード予定ですか?
なのでしたら、先にアップグレードしてしまった方が楽かもしれません。どのみち大量のパッケージをダウンロードして更新する必要があるでしょうから、2度手間になるんじゃないかと。


トップへ
 
 記事の件名: Re: アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月09日(木) 22:33 
オフライン
アバター
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年3月20日(金) 22:04
記事: 239
そうですね。確かに fc11にアップグレードするのが目的であるのであれば、code_air_edgeさんが仰る通り、上げてしまうほうがよいように思えます。


トップへ
 
 記事の件名: Re: アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月10日(金) 20:54 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2008年11月03日(月) 21:48
記事: 271
こんばんわ、ようやくfirefox が無事に起動するようになりました :)

yum update の最中に、以下のようなエラーが出ましたが、なんとか無事にアップデート完了し、
firefox が起動しました :)
引用:
gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します
Non-fatal POSTIN scriptlet failure in rpm package devhelp-0.22-9.fc10.i386
warning: %post(devhelp-0.22-9.fc10.i386) scriptlet failed, exit status 1

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します

warning: /var/lib/clamav/daily.cvd saved as /var/lib/clamav/daily.cvd.rpmsave

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します
Non-fatal POSTIN scriptlet failure in rpm package system-config-keyboard-1.2.15-5.fc10.noarch
warning: %post(system-config-keyboard-1.2.15-5.fc10.noarch) scriptlet failed, exit status 1

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します
Non-fatal POSTIN scriptlet failure in rpm package evince-2.24.2-1.fc10.i386
warning: %post(evince-2.24.2-1.fc10.i386) scriptlet failed, exit status 1

warning: /etc/freshclam.conf created as /etc/freshclam.conf.rpmnew

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します
Non-fatal POSTIN scriptlet failure in rpm package 1:gedit-2.24.3-3.fc10.i386
warning: %post(gedit-1:2.24.3-3.fc10.i386) scriptlet failed, exit status 1

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します
Non-fatal POSTIN scriptlet failure in rpm package yelp-2.24.0-10.fc10.i386
warning: %post(yelp-2.24.0-10.fc10.i386) scriptlet failed, exit status 1

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します
Non-fatal POSTIN scriptlet failure in rpm package yelp-2.24.0-10.fc10.i386
warning: %post(yelp-2.24.0-10.fc10.i386) scriptlet failed, exit status 1
Updating : eel2-2.24.1-4.fc10.i386 466

gtk-update-icon-cache: Failed to open file /usr/share/icons/hicolor/.icon-theme.cache : ファイルが存在します
Non-fatal POSTIN scriptlet failure in rpm package gnome-settings-daemon-2.24.1-7.fc10.i386
warning: %post(gnome-settings-daemon-2.24.1-7.fc10.i386) scriptlet failed, exit status 1


yum update 終了後、ClamAV でウィルスチェックをしたら、18のウィルスが発見されました :o
主にUSBに多かったので、ここから感染したのかな?といったところです

今回、firefox が起動するようになりましたが、現在fedora 11 でイー・モバイルの設定ができず、
fedora11 では いまだにネット接続できません
この問題が解決してから、fedora 11 にアップグレードしてみようと思います

みなさん、いろいろと有難うございました :)


トップへ
 
 記事の件名: Re: アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月10日(金) 21:11 
オフライン
アバター
プライベートメッセージ送信  メール  プロフィール

登録日時: 2009年3月20日(金) 22:04
記事: 239
こんばんわ! fedora11 upgradeは・・・・・  :o :o

でも選択するのは、個人の自由なので。 ちょっとログを見ましたが、キャッシュの問題かな?と思いました。

新規FC11 無線が飛ぶよう、願って折ります。 :D


トップへ
 
 記事の件名: Re: [解決済み]アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月10日(金) 21:34 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2008年11月03日(月) 21:48
記事: 271
今回も定番のようですが、今後のためのまとめを書こうと思います :)

引用:
★fedora 9 から fedora 10 へのアップグレードで firefox が起動しない場合


★検索で原因をさぐる★
<Linux> - Google 検索
を使うと効率的に調べることができます
引用:
今回のようなケースでは、
「firefox 起動しない」
で検索をし、その後、Fedora10の固有の事例がないかを調べる


★対策★
yum update で判明したのですが、今回は 
引用:
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: gecko-libs = 1.9.0.10 for package: gtkmozembedmm
--> Processing Dependency: gecko-libs = 1.9.0.10 for package: firefox
---> Package xulrunner.i386 0:1.9.0.11-1.fc10 set to be updated
--> Running transaction check
---> Package firefox.i386 0:3.0.11-1.fc10 set to be updated
--> Processing Dependency: gecko-libs = 1.9.0.10 for package: gtkmozembedmm
--> Finished Dependency Resolution
gtkmozembedmm-1.4.2.cvs20060817-29.fc9.i386 from installed has depsolving problems
--> Missing Dependency: gecko-libs = 1.9.0.10 is needed by package gtkmozembedmm-1.4.2.cvs20060817-29.fc9.i386 (installed)
Error: Missing Dependency: gecko-libs = 1.9.0.10 is needed by package gtkmozembedmm-1.4.2.cvs20060817-29.fc9.i386 (installed)

(*パッケージの最後がfedora 9 のポッケージである fc9 となっている点に注目)
というように、Fedora 9 向けのパッケージが原因でエラーを引き起こしています

引用:
対処法としては3つ。

1つは時間が解決してくれるパターン。ほんとに依存関係が成り立っており、gtkmozembedmmが更新待ちの場合は時間が解決してくれます。

2つめは依存関係を訴えているパッケージを更新する。

3つめは依存しているパッケージを削除してしまう。2の方法で解決できない場合の手です。
ただし、この方法だとこいつが依存している他のパッケージもまとめて削除することになるので、元の状態に戻せなくなる可能性も孕みます。大抵戻るようです


しかし、今回のケースでは
yum update gtkmozembedmm を行って見ましたが、問題解決はできませんでしたので
# yum remove gtkmozembedmm を行い削除しました

このときに削除されたパッケージは
gtkmozembedmm i386 1.4.2.cvs20060817-29.fc9
gtkmozembedmm-devel i386 1.4.2.cvs20060817-29.fc9
の2つでした

その後、再度 yum update を行うことで無事にパッケージがインストールされ、無事に firefox 起動することができました

アップグレードを行った場合、セキュリティ面からの意味でも、アップデートを実行し
依存関係に問題があり、アップデートできないのであれば
原因となっているパッケージのアップデート、もしくは削除を行うほうがよいのかもしれません


トップへ
 
 記事の件名: Re: [解決済み]アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月10日(金) 23:25 
オフライン
プライベートメッセージ送信  WWW  プロフィール

登録日時: 2008年9月13日(土) 12:37
記事: 250
所在地: 兵庫県
解決して何よりです。

さて、Fedora11へはまだアップグレードしないのですね。
でしたら、まだもうちょっとしておいた方が良いことがあります。
コード:
# package-cleanup --problems
# package-cleanup --dupes
# package-cleanup --orphans

は実行しておいた方がよいでしょう(そんなコマンドがないと怒られたらyum install package-cleanupでインストールしてください)。

上から、「問題が発生しているパッケージ」、「重複しているパッケージ」、「現在のリポジトリに登録されていないパッケージ」を一覧表示してくれます。

問題があるものは削除が必要でしょうし、重複も古い方を削除した方がよいでしょう(アップグレードの場合、普段はしないはずのパッケージが重複している事がままあります)。但し、64bit版をお使いの場合、32bit版と重複している事は必ずしも悪いことではないので注意しましょう。32bit版をお使いでしたら重複はすべきでないです。

最後のは、個別に対処する必要があります。プロプライエタリなパッケージの場合もここに列挙されるので、必ずしも削除すべきとは限りません。パッケージを見て、「あぁ、これは古いからもういらないな」と思えば削除しましょう。


トップへ
 
 記事の件名: Re: [解決済み]アップグレードした fedora 10 で firefox が起動しません
投稿記事Posted: 2009年7月15日(水) 21:40 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2008年11月03日(月) 21:48
記事: 271
---------
code_air_edgeさん、お返事ありがとうございます

さっそく実行してみました
引用:
[root@localhost snow]# package-cleanup --problems
Setting up yum
Loaded plugins: fastestmirror, refresh-packagekit
Determining fastest mirrors
Reading local RPM database
Processing all local requires
No problems found
[root@localhost snow]#

問題が発生しているパッケージはないようです :)

引用:
[root@localhost snow]# package-cleanup --dupes
Setting up yum
Loaded plugins: fastestmirror, refresh-packages
Loading mirror speeds from cached hostfile
[root@localhost snow]#

yum-fastestmirrorが重複しているみたいです
 コード: 全選択 大枠 小枠
[root@localhost snow]# package-cleanup --orphans
Setting up yum
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.riken.jp
* kde-testing: kdeforge.unl.edu
* livna: rpm.livna.org
* rpmfusion-free: mirrors.cat.pdx.edu
* rpmfusion-free-updates: mirrors.cat.pdx.edu
* rpmfusion-nonfree: mirrors.cat.pdx.edu
* rpmfusion-nonfree-updates: mirrors.cat.pdx.edu
* updates: ftp.riken.jp
VMware-Player-2.5.2-156735.i386
adobe-certs-1.0-8210.i386
adobeair1.0-1.5.1-8210.i386
fonts-japanese-0.20061016-13.fc9.noarch
freshrpms-release-1.2-1.noarch
gmime-2.2.21-2.fc9.i386
gmime-sharp-2.2.21-2.fc9.i386
gnome-ppp-0.3.23-5.fc9.i386
gnome-spell-1.0.8-5.fc9.i386
jdk-1.6.0_13-fcs.i586
keepassx-0.4.0-4.1.i386
kernel-2.6.27.21-78.2.41.fc9.i686
kernel-2.6.27.24-78.2.53.fc9.i686
libdvdcss-1.2.10-1.fc9.i386
libflashsupport-000-0.5.svn20070904.i386
macromillchecker.067045866fc63d6d445adbbc4f9ccf85182c31a3.1-1.1.0-1.i386
mono-addins-0.3.1-3.fc9.i386
mplayer-skins-1.8-1.noarch
net.printmagic.277bb1674afef1bd74a3947207cf1061352a3689.1-2.2.0-1.i386
pipsg900-cups-2.6.2-2.i386
setroubleshoot-2.0.12-4.fc9.noarch
setroubleshoot-server-2.0.12-4.fc9.noarch
sun-javadb-client-10.4.1-3.1.i386
sun-javadb-common-10.4.1-3.1.i386
sun-javadb-core-10.4.1-3.1.i386
sun-javadb-demo-10.4.1-3.1.i386
sun-javadb-docs-10.4.1-3.1.i386
sun-javadb-javadoc-10.4.1-3.1.i386
wine-doors-0.1.2-1.i386
xine-skins-1.10-1.fc.noarch
xmms-mp3-1.2.10-16.fc7.i386

このなかで、削除しても良さそうなのは、fedora9 関連といったところだと思います
とりあえず、問題が発生しているパッケージがなかったので、一安心です :)


トップへ
 
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 19 件の記事 ]  ページ移動 1つ前へ  1, 2

All times are UTC + 9 hours


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[0人]


トピック投稿: 不可
返信投稿: 不可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
cron

無料でマイフォーラムを作成する! · php-BB© · Internationalization Project · 不正利用を報告する · 使用条件/プライバシーポリシー
© Forums-Free.com 2009